Subject: Compile error when compiling sgml-tools-1.0.6
From: [email-masked] (Dr. Volker Zell)

15 Apr 1998 07:15:18 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0 (generated by tm-edit 7.106)
Content-Type: text/plain; charset=US-ASCII
To: [email-masked]

Hi gurus

While trying to compile sgml-tools-1.0.6 from http://www.pobox.com/~cg/sgmltools/
I get the following error message. Any hints ???

-----------------

c++ -ansi -fno-implicit-templates -O2  -Wall -Wno-reorder -Wwrite-strings -Wpointer-arith -Wnested-externs -Woverloaded-virtual -Wbad-function-cast -I. -I./../include -I./../generic -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -Dsig_atomic_t=int -DSP_HAVE_BOOL=1 -DSP_HAVE_LOCALE=1 -DSP_HAVE_GETTEXT=1 -DSP_ANSI_CLASS_INST=1   -c parseDecl.cxx
In file included from ../include/Attribute.h:19,
                 from Parser.h:12,
                 from parseDecl.cxx:7:
.../include/Message.h:170: warning: `Messenger::dispatchMessage(Message &)' was hidden
.../include/Message.h:196: warning:   by `NullMessenger::dispatchMessage(const Message &)'
In file included from ../include/Markup.h:12,
                 from ../include/Entity.h:22,
                 from Parser.h:17,
                 from parseDecl.cxx:7:
.../include/Syntax.h:275: warning: `class Syntax' has virtual functions but non-virtual destructor
In file included from ParserState.h:11,
                 from Parser.h:23,
                 from parseDecl.cxx:7:
D:\\cygnus\\b19\\H-i386-cygwin32\\lib\\gcc-lib\\i386-cygwin32\\egcs-2.90.27\\../../../../i386-cygwin32/include/signal.h:10: warning: abstract declarator used as declaration
(D:\cygnus\b19\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\egcs-2.90.27\cc1plus.exe 2060) commit_and_inc: VirtualAlloc failed
parseDecl.cxx: In method `bool Parser::parseEntityDecl()':
parseDecl.cxx:1634: virtual memory exhausted

-----

 Ciao
  Volker

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".